View Issue Details

IDProjectCategoryView StatusLast Update
0000951luatexluatex limitationpublic2015-10-29 15:09
ReporterHans HagenAssigned Toluigi scarso 
PrioritylowSeverityminorReproducibilityalways
Status closedResolutionfixed 
Platformx86_64OSLinuxOS Version3.4.11
Product Version 
Target VersionFixed in Version0.82.0 
Summary0000951: 20 gig pdf files cannot be loaded by the poppler lib
Descriptionwe get a catalog related error message
Steps To Reproducestep 1 (runs ok):

\nopdfcompression

\starttext
    \dorecurse{20000}{
        \pdfximage width \hsize height \vsize {poles.png}
        \hbox{\pdfrefximage\pdflastximage}
        \page
    }
\stoptext

step 2 (fails):

\starttext

\dorecurse{100}{
    \pdfximage page \recurselevel {test.pdf}
}

\stoptext
TagsNo tags attached.

Relationships

related to 0000801 closedoneiros lfs broken with png inclusion 

Activities

luigi scarso

2015-10-24 21:46

developer   ~0001482

As is now, it seems that Luatex cannot make a correct pdf with the example in step 1. Under Ubuntu 14.04 64bit off_t is a long 32bit, but the offsets required are off range.

luigi scarso

2015-10-29 12:06

developer   ~0001489

It should be fixed in experimental now. It was a problem with offsets in xref, that in uncompressed mode always start from to the begin of the file (offsets always uses 10bytes, but for compressed mode they are relative).

Issue History

Date Modified Username Field Change
2015-10-22 10:49 Hans Hagen New Issue
2015-10-22 10:49 Hans Hagen Issue generated from: 0000801
2015-10-22 10:49 Hans Hagen Relationship added related to 0000801
2015-10-24 20:57 Hans Hagen Assigned To => luigi scarso
2015-10-24 20:57 Hans Hagen Status new => assigned
2015-10-24 21:46 luigi scarso Note Added: 0001482
2015-10-29 12:06 luigi scarso Note Added: 0001489
2015-10-29 15:09 Hans Hagen Status assigned => closed
2015-10-29 15:09 Hans Hagen Resolution open => fixed
2015-10-29 15:09 Hans Hagen Fixed in Version => 0.82.0